From 45d0393cc9e8816ffaf9acd19b1fb30007c270c8 Mon Sep 17 00:00:00 2001
From: Neil Jerram <neiljerram@googlemail.com>
Date: Tue, 15 Dec 2009 00:55:47 +0000
Subject: [PATCH 1/3] Named entry points turnOnAntenna and handleAuth

---
 zhone |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

diff --git a/zhone b/zhone
index 771a32b..f184855 100755
--- a/zhone
+++ b/zhone
@@ -2158,6 +2158,9 @@ class GSMAgent( Agent ):
         """
         This is called to start the authentication process
         """
+        self.turnOnAntenna()
+
+    def turnOnAntenna( self ):
         self.setState( _("Turning on Antenna") )
         dbus_object.gsm_device_iface.SetAntennaPower(
             True,
@@ -2175,6 +2178,9 @@ class GSMAgent( Agent ):
 
     def cbAntennaPowerError( self, e ):
         logger.info( "SIM seems to be protected. Checking auth status now." )
+        self.handleAuth()
+
+    def handleAuth( self ):
         self.setState( _("Reading authentication status") )
         dbus_object.gsm_sim_iface.GetAuthStatus(
             reply_handler=self.cbAuthStatusReply,
-- 
1.6.5.4
